Name:          libhyphen
Version:       2.8.8
Release:       1mamba
Summary:       A text hyphenation library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://hunspell.sf.net
Source:        http://downloads.sourceforge.net/hunspell/hyphen-%{version}.tar.gz
Patch0:        libhyphen-2.8.7-include-stdio.patch
License:       LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a library for high quality hyphenation and justification.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} is a library for high quality hyphenation and justification.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} is a library for high quality hyphenation and justification.

This package contains static libraries need for development.

%package -n hyphen-en
Summary:       English hyphenation rules
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-en
Provides:      %{name}-en

%description -n hyphen-en
%{name} is a library for high quality hyphenation and justification.

English hyphenation rules.


%prep
%setup -q -n hyphen-%{version}
#%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

pushd %{buildroot}%{_datadir}/hyphen/
  for lang in en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_NA en_NZ en_PH en_SG en_TT en_ZA en_ZW ; do
    ln -s hyph_en_US.dic hyph_$lang.dic
  done
popd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING ChangeLog NEWS README README.compound README.hyphen
%doc README.nonstandard THANKS TODO

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/*.so
%{_bindir}/substrings.pl

%files static
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la

%files -n hyphen-en
%defattr(-,root,root)
%dir %{_datadir}/hyphen
%{_datadir}/hyphen/hyph_en_*.dic

%changelog
* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 2.8.8-1mamba
- automatic version update by autodist

* Mon Jul 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.7-2mamba
- patch to fix problem reported by libreoffice 4.3 configure

* Sat Jun 28 2014 Automatic Build System <autodist@mambasoft.it> 2.8.7-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.1-3mamba
- rebuilt in devel

* Sun Jan 30 2011 gil <puntogil@libero.it> 2.7.1-2mamba
- Obsoletes libhyphem-en, renamed hyphem-en. changed group
- add (symlink) language support for:
- English Antigua and Barbuda (en_AG)
- English Botswana (en_BW)
- English Denmark (en_DK)
- English Ghana (en_GH) 
- English (Hong Kong SAR China) (en-HK)
- English (Singapore) (en-SG)
- English (South Africa) (en_ZA)

* Fri Dec 03 2010 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic update by autodist

* Sat Aug 14 2010 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic update by autodist

* Mon Nov 10 2008 gil <puntogil@libero.it> 2.4-1mamba
- package created by autospec
